classification
Title: Add tests for Tix
Type: enhancement Stage: resolved
Components: Tests, Tkinter Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: python-dev, serhiy.storchaka, terry.reedy, zach.ware
Priority: low Keywords: easy

Created on 2014-04-23 20:46 by zach.ware, last changed 2016-09-15 03:37 by zach.ware. This issue is now closed.

Messages (5)
msg217089 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-04-23 20:46
We should have some tests for Tix, which currently has none.  The Windows buildbots will be able to run the tests, but Tix is not guaranteed to be available elsewhere.
msg233367 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-01-03 21:30
A minimal test would be that the one in the doc.

from tkinter import tix
root = tix.Tk()
root.tk.eval('package require Tix')

This passes on my 3.4.2 win7.  I believe the first line should work on any system with _tkinter, whereas 
https://stackoverflow.com/questions/27751923/tix-widgets-installation-issue

reports failure of the second line on his Mac with ...
  self.tk.eval('package require Tix')
_tkinter.TclError: can't find package Tix
msg243448 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-05-18 01:59
New changeset eeea91d0506b by Zachary Ware in branch 'default':
Issue #21337: Add bare-bones Tix test
https://hg.python.org/cpython/rev/eeea91d0506b
msg243449 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-05-18 02:02
As a prerequisite for #20035, I've added the simplest test possible that just makes sure Tix is available on Windows.  I only added it on default as I don't have the facilities to test it properly on 2.7 and 3.4 on Windows (which is the only platform actually testing anything so far), but it should be simple enough to copy it over if anybody wants to or ever writes some real tests for Tix.

Leaving this issue open as some real tests would still be nice.
msg276511 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-15 03:37
Tix is now deprecated, extra tests are unnecessary.
History
Date User Action Args
2016-09-15 03:37:42zach.waresetstatus: open -> closed
resolution: out of date
messages: + msg276511

stage: needs patch -> resolved
2015-05-18 02:02:06zach.waresetmessages: + msg243449
2015-05-18 01:59:31python-devsetnosy: + python-dev
messages: + msg243448
2015-01-03 21:30:51terry.reedysetnosy: + terry.reedy
messages: + msg233367
2014-04-25 22:53:08terry.reedysetnosy: + serhiy.storchaka
2014-04-23 20:46:48zach.warecreate